-- UC_MIL_CSE
-- Author: JNR
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER1_JNR'	WHERE ModifierId='MODIFIER_CSE_MILITARISTIC_BARRACKS_UNITS_MOD';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER2_JNR'	WHERE ModifierId='MODIFIER_CSE_MILITARISTIC_ARMORY_UNITS_MOD';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER3_JNR'	WHERE ModifierId='MODIFIER_CSE_MILITARISTIC_ACADEMY_UNITS_MOD';

INSERT OR IGNORE INTO Modifiers
		(ModifierId,										ModifierType,											SubjectRequirementSetId)
VALUES	('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD',				'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER',					'PLAYER_HAS_LARGEST_INFLUENCE'),
		('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	NULL),
		
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD',			'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER',					'PLAYER_HAS_LARGEST_INFLUENCE'),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	NULL),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION',		'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER',					'PLAYER_HAS_LARGEST_INFLUENCE'),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION_MOD',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	NULL),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD',			'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER',					'PLAYER_HAS_LARGEST_INFLUENCE'),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD_MOD',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	NULL);
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,										Name,				Value												)
VALUES	('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD',				'ModifierId',		'MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD'			),
		('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD',			'YieldType',		'YIELD_GOLD'										),
		('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD',			'CityStatesOnly',	1													),
		
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD',			'ModifierId',		'MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD'			),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD',		'YieldType',		'YIELD_FOOD'										),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD',		'Amount',			1													),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD',		'CityStatesOnly',	1													),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION',		'ModifierId',		'MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION_MOD'	),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION_MOD',	'YieldType',		'YIELD_PRODUCTION'									),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION_MOD',	'Amount',			1													),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION_MOD',	'CityStatesOnly',	1													),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD',			'ModifierId',		'MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD_MOD'			),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD_MOD',		'YieldType',		'YIELD_GOLD'										),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD_MOD',		'Amount',			2													),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD_MOD',		'CityStatesOnly',	1													);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,										Name,				Value)
SELECT	'MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD',			'Amount',			Value
FROM	ModifierArguments
WHERE	Name='Amount' AND ModifierId='MODIFIER_CSE_TRADE_SEAPORT_GOLD_MOD';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,										Name,				Value)
SELECT	'MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD',			'BuildingType',		BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,										Name,				Value)
SELECT	'MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD',		'BuildingType',		BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,										Name,				Value)
SELECT	'MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION_MOD',	'BuildingType',		BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,										Name,				Value)
SELECT	'MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD_MOD',		'BuildingType',		BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE';
--------------------------------------------------------------

-- TraitModifiers
--------------------------------------------------------------
DELETE FROM TraitModifiers WHERE TraitType='MINOR_CIV_MILITARISTIC_TRAIT' AND ModifierId='MODIFIER_CSE_MILITARISTIC_STABLE_UNITS';

INSERT OR IGNORE INTO TraitModifiers 
		(TraitType, 						ModifierId										)
VALUES	('MINOR_CIV_CSE_MARITIME_TRAIT',	'MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD'			),
		('MINOR_CIV_CSE_MARITIME_TRAIT',	'MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION'	);

INSERT OR IGNORE INTO TraitModifiers
		(TraitType,							ModifierId)
SELECT	'MINOR_CIV_CSE_MARITIME_TRAIT',		'MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD'
FROM	Buildings a, TraitModifiers b
WHERE	a.BuildingType='BUILDING_JNR_NAVAL_BASE'
		AND b.TraitType='MINOR_CIV_CSE_MARITIME_TRAIT'
		AND b.ModifierId='MODIFIER_CSE_MARITIME_SEAPORT_GOLD';

INSERT OR IGNORE INTO TraitModifiers
		(TraitType,							ModifierId)
SELECT	'MINOR_CIV_TRADE_TRAIT',			'MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD'
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE'
		AND NOT EXISTS (SELECT * FROM ModValidation WHERE Version = 'CSE_MARITIME');
--------------------------------------------------------------