-- UC_MIL_CSE_Ethiopia
-- Author: JNR
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers 
		(ModifierId,											ModifierType,											SubjectRequirementSetId			)
VALUES	('MODIFIER_CSE_MILITARISTIC_HANGAR_UNITS',				'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER',					'PLAYER_HAS_LARGEST_INFLUENCE'	),
		('MODIFIER_CSE_MILITARISTIC_HANGAR_UNITS_MOD',			'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_PRODUCTION_CHANGE',	'BUILDING_IS_HANGAR_JNR'		),
		
		('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_ETHIOPIA',			'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER',					'PLAYER_HAS_LARGEST_INFLUENCE'	),
		('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD_ETHIOPIA',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	NULL							),
		
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_ETHIOPIA',		'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER',					'PLAYER_HAS_LARGEST_INFLUENCE'	),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD_ETHIOPIA',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	NULL							);

UPDATE	Modifiers SET SubjectRequirementSetId='PLAYER_HAS_LARGE_INFLUENCE'	WHERE ModifierId='MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD';
UPDATE	Modifiers SET SubjectRequirementSetId='PLAYER_HAS_LARGE_INFLUENCE'	WHERE ModifierId='MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD';
UPDATE	Modifiers SET SubjectRequirementSetId='PLAYER_HAS_LARGE_INFLUENCE'	WHERE ModifierId='MODIFIER_CSE_MARITIME_NAVAL_BASE_PRODUCTION';
UPDATE	Modifiers SET SubjectRequirementSetId='PLAYER_HAS_LARGE_INFLUENCE'	WHERE ModifierId='MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD';
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,											Name,				Value													)
VALUES	('MODIFIER_CSE_MILITARISTIC_HANGAR_UNITS',				'ModifierId',		'MODIFIER_CSE_MILITARISTIC_HANGAR_UNITS_MOD'			),
		('MODIFIER_CSE_MILITARISTIC_HANGAR_UNITS_MOD',			'Amount',			4														),
		
		('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_ETHIOPIA',			'ModifierId',		'MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD_ETHIOPIA'		),
		('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD_ETHIOPIA',		'YieldType',		'YIELD_GOLD'											),
		('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD_ETHIOPIA',		'Amount',			2														),
		('MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD_ETHIOPIA',		'CityStatesOnly',	1														),
		
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_ETHIOPIA',		'ModifierId',		'MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD_ETHIOPIA'	),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD_ETHIOPIA',	'YieldType',		'YIELD_FOOD'											),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD_ETHIOPIA',	'Amount',			1														),
		('MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD_ETHIOPIA',	'CityStatesOnly',	1														);

UPDATE	ModifierArguments
SET		Value = 4
WHERE	Name = 'Amount' AND ModifierId = 'MODIFIER_CSE_MILITARISTIC_CHANCERY_UNITS_MOD_ETHIOPIA_LARGEST';

UPDATE	ModifierArguments
SET		Value = 6
WHERE	Name = 'Amount' AND ModifierId = 'MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,											Name,				Value)
SELECT	'MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_MOD_ETHIOPIA',		'BuildingType',		BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE';

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,											Name,				Value)
SELECT	'MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_MOD_ETHIOPIA',	'BuildingType',		BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE';
--------------------------------------------------------------

-- TraitModifiers
--------------------------------------------------------------
DELETE FROM TraitModifiers WHERE TraitType='MINOR_CIV_MILITARISTIC_TRAIT' AND ModifierId='MODIFIER_CSE_MILITARISTIC_BARRACKS_UNITS_ETHIOPIA';
DELETE FROM TraitModifiers WHERE TraitType='MINOR_CIV_MILITARISTIC_TRAIT' AND ModifierId='MODIFIER_CSE_MILITARISTIC_STABLE_UNITS_ETHIOPIA';
DELETE FROM TraitModifiers WHERE TraitType='MINOR_CIV_MILITARISTIC_TRAIT' AND ModifierId='MODIFIER_CSE_MILITARISTIC_ARMORY_UNITS_ETHIOPIA';
DELETE FROM TraitModifiers WHERE TraitType='MINOR_CIV_MILITARISTIC_TRAIT' AND ModifierId='MODIFIER_CSE_MILITARISTIC_ACADEMY_UNITS_ETHIOPIA';
DELETE FROM TraitModifiers WHERE TraitType='MINOR_CIV_MILITARISTIC_TRAIT' AND ModifierId='MODIFIER_CSE_MILITARISTIC_CONSULATE_UNITS_ETHIOPIA_LARGEST';

INSERT OR IGNORE INTO TraitModifiers 
		(TraitType, 						ModifierId											)
VALUES	('MINOR_CIV_MILITARISTIC_TRAIT',	'MODIFIER_CSE_MILITARISTIC_HANGAR_UNITS'			);

INSERT OR IGNORE INTO TraitModifiers
		(TraitType,							ModifierId)
SELECT	'MINOR_CIV_TRADE_TRAIT',			'MODIFIER_CSE_TRADE_NAVAL_BASE_GOLD_ETHIOPIA'
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE'
		AND NOT EXISTS (SELECT * FROM ModValidation WHERE Version = 'CSE_MARITIME');

INSERT OR IGNORE INTO TraitModifiers
		(TraitType,							ModifierId)
SELECT	'MINOR_CIV_CSE_MARITIME_TRAIT',		'MODIFIER_CSE_MARITIME_NAVAL_BASE_GOLD'
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE';
		
INSERT OR IGNORE INTO TraitModifiers
		(TraitType,							ModifierId)
SELECT	'MINOR_CIV_CSE_MARITIME_TRAIT',		'MODIFIER_CSE_MARITIME_NAVAL_BASE_FOOD_ETHIOPIA'
FROM	Buildings
WHERE	BuildingType='BUILDING_JNR_NAVAL_BASE';
--------------------------------------------------------------