-- UC_MIL_Bonuses_Special
-- Author: JNR
--------------------------------------------------------------

-- Building_GreatPersonPoints
--------------------------------------------------------------
INSERT OR IGNORE INTO Building_GreatPersonPoints
		(BuildingType,					GreatPersonClassType,			PointsPerTurn)
VALUES	('BUILDING_JNR_TARGET_RANGE',	'GREAT_PERSON_CLASS_GENERAL',	1),
		('BUILDING_JNR_CASEMATES',		'GREAT_PERSON_CLASS_GENERAL',	1),
		('BUILDING_JNR_DEPOT',			'GREAT_PERSON_CLASS_GENERAL',	1),
		('BUILDING_JNR_ORDNANCE_BOARD',	'GREAT_PERSON_CLASS_GENERAL',	1),
		('BUILDING_HANGAR',				'GREAT_PERSON_CLASS_GENERAL',	1),
		('BUILDING_HANGAR',				'GREAT_PERSON_CLASS_ADMIRAL',	1),
		('BUILDING_AIRPORT',			'GREAT_PERSON_CLASS_GENERAL',	1),
		('BUILDING_AIRPORT',			'GREAT_PERSON_CLASS_ADMIRAL',	1);

UPDATE Building_GreatPersonPoints SET PointsPerTurn=2 WHERE BuildingType='BUILDING_ORDU'				AND GreatPersonClassType='GREAT_PERSON_CLASS_GENERAL';
UPDATE Building_GreatPersonPoints SET PointsPerTurn=2 WHERE BuildingType='BUILDING_MILITARY_ACADEMY'	AND GreatPersonClassType='GREAT_PERSON_CLASS_GENERAL';
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,												Kind)
VALUES	('MODIFIER_JNR_SINGLE_CITY_ADJUST_OUTER_DEFENSE',	'KIND_MODIFIER'),
		('MODIFIER_JNR_SINGLE_CITY_ADJUST_RANGED_STRIKE',	'KIND_MODIFIER');
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,										CollectionType,				EffectType)
VALUES	('MODIFIER_JNR_SINGLE_CITY_ADJUST_OUTER_DEFENSE',	'COLLECTION_OWNER',			'EFFECT_ADJUST_CITY_OUTER_DEFENSE'),
		('MODIFIER_JNR_SINGLE_CITY_ADJUST_RANGED_STRIKE',	'COLLECTION_OWNER',			'EFFECT_ADJUST_CITY_RANGED_STRIKE');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,														ModifierType,													SubjectRequirementSetId)
VALUES	('JNR_ARMORY_RESOURCE_DISCOUNT',									'MODIFIER_CITY_ADJUST_STRATEGIC_RESOURCE_REQUIREMENT_MODIFIER',	NULL),
		('JNR_ARMORY_RESOURCE_DISCOUNT_BLACK_MARKETEER',					'MODIFIER_CITY_ADJUST_STRATEGIC_RESOURCE_REQUIREMENT_MODIFIER',	'BUILDING_IS_ARMORY'),
		('JNR_CASEMATES_OUTERDEFENSE',										'MODIFIER_JNR_SINGLE_CITY_ADJUST_OUTER_DEFENSE',				NULL),
		('JNR_CASEMATES_RANGEDSTRIKE_ANCIENT',								'MODIFIER_JNR_SINGLE_CITY_ADJUST_RANGED_STRIKE',				'CITY_HAS_ANCIENT_WALLS'),
		('JNR_CASEMATES_RANGEDSTRIKE_MEDIEVAL',								'MODIFIER_JNR_SINGLE_CITY_ADJUST_RANGED_STRIKE',				'CITY_HAS_MEDIEVAL_WALLS'),
		('JNR_CASEMATES_RANGEDSTRIKE_RENAISSANCE',							'MODIFIER_JNR_SINGLE_CITY_ADJUST_RANGED_STRIKE',				'CITY_HAS_RENAISSANCE_WALLS'),
		('JNR_DEPOT_INCREASE_HEAL_RATE',									'MODIFIER_PLAYER_UNITS_ADJUST_HEAL_PER_TURN',					'MEDIC_HEALING_REQUIREMENTS'),
		('JNR_PRISON_COUNTERSPY',											'MODIFIER_CITY_ADJUST_SPY_BONUS',								NULL),
		('JNR_PRISON_ADDITIONAL_CHARGES_BUILDER',							'MODIFIER_SINGLE_CITY_BUILDER_CHARGES',							'UNIT_IS_BUILDER'),
		('JNR_PRISON_ADDITIONAL_CHARGES_ENGINEER',							'MODIFIER_SINGLE_CITY_BUILDER_CHARGES',							'UNIT_IS_MILITARY_ENGINEER'),
		('ENCAMPMENT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',					'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP',				NULL),
		('TARGET_RANGE_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',					'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP',				NULL),
		('CASEMATES_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',						'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP',				NULL),
		('DEPOT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',							'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP',				NULL),
		('ORDNANCE_BOARD_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',				'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP',				NULL),
		('PRISON_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',						'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP',				NULL),
		('AERODROME_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',						'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP',				NULL),
		('HANGAR_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',						'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP',				NULL),
		('AIRPORT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',						'MODIFIER_PLAYER_ADJUST_RESOURCE_STOCKPILE_CAP',				NULL);

UPDATE Modifiers SET Permanent=1			WHERE ModifierId='JNR_PRISON_ADDITIONAL_CHARGES_BUILDER';
UPDATE Modifiers SET Permanent=1			WHERE ModifierId='JNR_PRISON_ADDITIONAL_CHARGES_ENGINEER';

UPDATE Modifiers SET SubjectStackLimit=1	WHERE ModifierId='JNR_DEPOT_INCREASE_HEAL_RATE';
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,											Name,		Value)
VALUES	('JNR_ARMORY_RESOURCE_DISCOUNT',						'Amount',	50),
		('JNR_ARMORY_RESOURCE_DISCOUNT_BLACK_MARKETEER',		'Amount',	-40),
		('JNR_CASEMATES_OUTERDEFENSE',							'Amount',	2),
		('JNR_CASEMATES_RANGEDSTRIKE_ANCIENT',					'Amount',	2),
		('JNR_CASEMATES_RANGEDSTRIKE_MEDIEVAL',					'Amount',	2),
		('JNR_CASEMATES_RANGEDSTRIKE_RENAISSANCE',				'Amount',	2),
		('JNR_DEPOT_INCREASE_HEAL_RATE',						'Amount',	10),
		('JNR_DEPOT_INCREASE_HEAL_RATE',						'Type',		'ALL'),
		('JNR_PRISON_COUNTERSPY',								'Amount',	1),
		('JNR_PRISON_ADDITIONAL_CHARGES_BUILDER',				'Amount',	1),
		('JNR_PRISON_ADDITIONAL_CHARGES_ENGINEER',				'Amount',	1),
		('ENCAMPMENT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',		'Amount',	10),
		('TARGET_RANGE_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',		'Amount',	10),
		('CASEMATES_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',			'Amount',	10),
		('DEPOT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',				'Amount',	10),
		('ORDNANCE_BOARD_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',	'Amount',	10),
		('PRISON_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',			'Amount',	10),
		('AERODROME_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',			'Amount',	10),
		('HANGAR_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',			'Amount',	10),
		('AIRPORT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR',			'Amount',	10);
--------------------------------------------------------------

-- DistrictModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,			ModifierId)
VALUES	('DISTRICT_ENCAMPMENT',	'ENCAMPMENT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR'),
		('DISTRICT_AERODROME',	'AERODROME_ADJUST_RESOURCE_STOCKPILE_CAP_JNR');

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,			ModifierId)
SELECT	CivUniqueDistrictType,	'ENCAMPMENT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR'
FROM	DistrictReplaces WHERE ReplacesDistrictType='DISTRICT_ENCAMPMENT';

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,			ModifierId)
SELECT	CivUniqueDistrictType,	'AERODROME_ADJUST_RESOURCE_STOCKPILE_CAP_JNR'
FROM	DistrictReplaces WHERE ReplacesDistrictType='DISTRICT_AERODROME';
--------------------------------------------------------------

-- BuildingModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO BuildingModifiers
		(BuildingType,					ModifierId)
VALUES	('BUILDING_ARMORY',				'JNR_ARMORY_RESOURCE_DISCOUNT'),
		('BUILDING_JNR_CASEMATES',		'JNR_CASEMATES_OUTERDEFENSE'),
		('BUILDING_JNR_CASEMATES',		'JNR_CASEMATES_RANGEDSTRIKE_ANCIENT'),
		('BUILDING_JNR_CASEMATES',		'JNR_CASEMATES_RANGEDSTRIKE_MEDIEVAL'),
		('BUILDING_JNR_CASEMATES',		'JNR_CASEMATES_RANGEDSTRIKE_RENAISSANCE'),
		('BUILDING_JNR_DEPOT',			'JNR_DEPOT_INCREASE_HEAL_RATE'),
		('BUILDING_JNR_ORDNANCE_BOARD',	'MILITARY_ACADEMY_TRAINED_CORPS_ARMY_DISCOUNT'),
		('BUILDING_JNR_PRISON',			'JNR_PRISON_COUNTERSPY'),
		('BUILDING_JNR_PRISON',			'JNR_PRISON_ADDITIONAL_CHARGES_BUILDER'),
		('BUILDING_JNR_PRISON',			'JNR_PRISON_ADDITIONAL_CHARGES_ENGINEER'),
		('BUILDING_JNR_TARGET_RANGE',	'TARGET_RANGE_ADJUST_RESOURCE_STOCKPILE_CAP_JNR'),
		('BUILDING_JNR_CASEMATES',		'CASEMATES_ADJUST_RESOURCE_STOCKPILE_CAP_JNR'),
		('BUILDING_JNR_DEPOT',			'DEPOT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR'),
		('BUILDING_JNR_ORDNANCE_BOARD',	'ORDNANCE_BOARD_ADJUST_RESOURCE_STOCKPILE_CAP_JNR'),
		('BUILDING_JNR_PRISON',			'PRISON_ADJUST_RESOURCE_STOCKPILE_CAP_JNR'),
		('BUILDING_HANGAR',				'HANGAR_ADJUST_RESOURCE_STOCKPILE_CAP_JNR'),
		('BUILDING_AIRPORT',			'AIRPORT_ADJUST_RESOURCE_STOCKPILE_CAP_JNR');
--------------------------------------------------------------

-- GovernorPromotionModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO GovernorPromotionModifiers
		(GovernorPromotionType,									ModifierId)
VALUES	('GOVERNOR_PROMOTION_RESOURCE_MANAGER_BLACK_MARKETEER',	'JNR_ARMORY_RESOURCE_DISCOUNT_BLACK_MARKETEER');
--------------------------------------------------------------

-- Unit_BuildingPrereqs
--------------------------------------------------------------
DELETE FROM Unit_BuildingPrereqs WHERE Unit='UNIT_MILITARY_ENGINEER';

INSERT OR IGNORE INTO Unit_BuildingPrereqs
		(Unit,						PrereqBuilding)
VALUES	('UNIT_MILITARY_ENGINEER',	'BUILDING_BARRACKS'),
		('UNIT_MILITARY_ENGINEER',	'BUILDING_STABLE'),
		('UNIT_MILITARY_ENGINEER',	'BUILDING_JNR_TARGET_RANGE'),
		('UNIT_MILITARY_ENGINEER',	'BUILDING_HANGAR'),
		('UNIT_MEDIC',				'BUILDING_JNR_DEPOT'),
		('UNIT_SUPPLY_CONVOY',		'BUILDING_JNR_DEPOT');

INSERT OR IGNORE INTO Unit_BuildingPrereqs
		(Unit,						PrereqBuilding)
SELECT	'UNIT_MILITARY_ENGINEER',	BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_BASILIKOI_PAIDES';

INSERT OR IGNORE INTO Unit_BuildingPrereqs
		(Unit,						PrereqBuilding)
SELECT	'UNIT_MILITARY_ENGINEER',	BuildingType
FROM	Buildings
WHERE	BuildingType='BUILDING_ORDU';
--------------------------------------------------------------