-- UC_MIL_Policies
-- Author: JNR
--------------------------------------------------------------

-- Policies
--------------------------------------------------------------
UPDATE Policies SET Description='LOC_POLICY_MILITARY_ORGANIZATION_JNR_UC'				WHERE PolicyType='POLICY_MILITARY_ORGANIZATION';
UPDATE Policies SET Description='LOC_POLICY_THIRD_ALTERNATIVE_DESCRIPTION_JNR_UC'		WHERE PolicyType='POLICY_THIRD_ALTERNATIVE';
UPDATE Policies SET Description='LOC_POLICY_MILITARY_RESEARCH_DESCRIPTION_JNR_UC'		WHERE PolicyType='POLICY_MILITARY_RESEARCH';
UPDATE Policies SET Description='LOC_POLICY_INTEGRATED_SPACE_CELL_DESCRIPTION_JNR_UC'	WHERE PolicyType='POLICY_INTEGRATED_SPACE_CELL';
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER2_JNR'					WHERE ModifierId='MILITARYORGANIZATION_GREATGENERAL_ARMORY';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER3_JNR'					WHERE ModifierId='MILITARYORGANIZATION_GREATGENERAL_MILITARYACADEMY';
UPDATE Modifiers SET SubjectRequirementSetId='INTEGRATEDSPACECELL_BUILDING_REQUIREMENTS_JNR'	WHERE ModifierId='INTEGRATEDSPACECELL_SPACE_RACE_PROJECTS_PRODUCTION';

INSERT OR IGNORE INTO Modifiers
		(ModifierId,												ModifierType,											SubjectRequirementSetId)
VALUES	('MILITARYRESEARCH_ORDNANCE_BOARD_SCIENCE_MODIFIER_JNR',	'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	NULL),
		('MILITARYRESEARCH_PRISON_SCIENCE_MODIFIER_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	NULL),
		('MILITARYRESEARCH_HANGAR_SCIENCE_MODIFIER_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',	NULL);

INSERT OR IGNORE INTO Modifiers
		(ModifierId,												ModifierType)
SELECT	'THIRDALTERNATIVE_CULTURE_' || BuildingType || '_JNR',		'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE'
FROM	Buildings
WHERE	PrereqDistrict='DISTRICT_ENCAMPMENT'
		OR PrereqDistrict='DISTRICT_AERODROME'
		OR PrereqDistrict='DISTRICT_ARSENAL'
		OR BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');

INSERT OR IGNORE INTO Modifiers
		(ModifierId,												ModifierType)
SELECT	'THIRDALTERNATIVE_GOLD_' || BuildingType || '_JNR',			'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE'
FROM	Buildings
WHERE	PrereqDistrict='DISTRICT_ENCAMPMENT'
		OR PrereqDistrict='DISTRICT_AERODROME'
		OR PrereqDistrict='DISTRICT_ARSENAL'
		OR BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,												Name,			Value)
VALUES	('MILITARYRESEARCH_ORDNANCE_BOARD_SCIENCE_MODIFIER_JNR',	'BuildingType',	'BUILDING_JNR_ORDNANCE_BOARD'),
		('MILITARYRESEARCH_ORDNANCE_BOARD_SCIENCE_MODIFIER_JNR',	'YieldType',	'YIELD_SCIENCE'),
		('MILITARYRESEARCH_ORDNANCE_BOARD_SCIENCE_MODIFIER_JNR',	'Amount',		2),
		('MILITARYRESEARCH_PRISON_SCIENCE_MODIFIER_JNR',			'BuildingType',	'BUILDING_JNR_PRISON'),
		('MILITARYRESEARCH_PRISON_SCIENCE_MODIFIER_JNR',			'YieldType',	'YIELD_SCIENCE'),
		('MILITARYRESEARCH_PRISON_SCIENCE_MODIFIER_JNR',			'Amount',		2),
		('MILITARYRESEARCH_HANGAR_SCIENCE_MODIFIER_JNR',			'BuildingType',	'BUILDING_HANGAR'),
		('MILITARYRESEARCH_HANGAR_SCIENCE_MODIFIER_JNR',			'YieldType',	'YIELD_SCIENCE'),
		('MILITARYRESEARCH_HANGAR_SCIENCE_MODIFIER_JNR',			'Amount',		2);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,												Name,			Value)
SELECT	'THIRDALTERNATIVE_CULTURE_' || BuildingType || '_JNR',		'BuildingType',	BuildingType
FROM	Buildings
WHERE	PrereqDistrict='DISTRICT_ENCAMPMENT'
		OR PrereqDistrict='DISTRICT_AERODROME'
		OR PrereqDistrict='DISTRICT_ARSENAL'
		OR BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,												Name,			Value)
SELECT	'THIRDALTERNATIVE_CULTURE_' || BuildingType || '_JNR',		'YieldType',	'YIELD_CULTURE'
FROM	Buildings
WHERE	PrereqDistrict='DISTRICT_ENCAMPMENT'
		OR PrereqDistrict='DISTRICT_AERODROME'
		OR PrereqDistrict='DISTRICT_ARSENAL'
		OR BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,												Name,			Value)
SELECT	'THIRDALTERNATIVE_CULTURE_' || BuildingType || '_JNR',		'Amount',		1
FROM	Buildings
WHERE	PrereqDistrict='DISTRICT_ENCAMPMENT'
		OR PrereqDistrict='DISTRICT_AERODROME'
		OR PrereqDistrict='DISTRICT_ARSENAL'
		OR BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,												Name,			Value)
SELECT	'THIRDALTERNATIVE_GOLD_' || BuildingType || '_JNR',			'BuildingType',	BuildingType
FROM	Buildings
WHERE	PrereqDistrict='DISTRICT_ENCAMPMENT'
		OR PrereqDistrict='DISTRICT_AERODROME'
		OR PrereqDistrict='DISTRICT_ARSENAL'
		OR BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,												Name,			Value)
SELECT	'THIRDALTERNATIVE_GOLD_' || BuildingType || '_JNR',			'YieldType',	'YIELD_GOLD'
FROM	Buildings
WHERE	PrereqDistrict='DISTRICT_ENCAMPMENT'
		OR PrereqDistrict='DISTRICT_AERODROME'
		OR PrereqDistrict='DISTRICT_ARSENAL'
		OR BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,												Name,			Value)
SELECT	'THIRDALTERNATIVE_GOLD_' || BuildingType || '_JNR',			'Amount',		2
FROM	Buildings
WHERE	PrereqDistrict='DISTRICT_ENCAMPMENT'
		OR PrereqDistrict='DISTRICT_AERODROME'
		OR PrereqDistrict='DISTRICT_ARSENAL'
		OR BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');
--------------------------------------------------------------

-- PolicyModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'MILITARYRESEARCH_ORDNANCE_BOARD_SCIENCE_MODIFIER_JNR'
FROM	Policies
WHERE	PolicyType='POLICY_MILITARY_RESEARCH';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'MILITARYRESEARCH_PRISON_SCIENCE_MODIFIER_JNR'
FROM	Policies
WHERE	PolicyType='POLICY_MILITARY_RESEARCH';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	PolicyType,		'MILITARYRESEARCH_HANGAR_SCIENCE_MODIFIER_JNR'
FROM	Policies
WHERE	PolicyType='POLICY_MILITARY_RESEARCH';

DELETE FROM PolicyModifiers WHERE PolicyType='POLICY_THIRD_ALTERNATIVE';

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'THIRDALTERNATIVE_CULTURE_' || b.BuildingType || '_JNR'
FROM	Policies a, Buildings b
WHERE	a.PolicyType='POLICY_THIRD_ALTERNATIVE'
		AND b.PrereqDistrict IN ('DISTRICT_ENCAMPMENT', 'DISTRICT_AERODROME', 'DISTRICT_ARSENAL');

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'THIRDALTERNATIVE_CULTURE_' || b.BuildingType || '_JNR'
FROM	Policies a, Buildings b
WHERE	a.PolicyType='POLICY_THIRD_ALTERNATIVE'
		AND b.BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'THIRDALTERNATIVE_GOLD_' || b.BuildingType || '_JNR'
FROM	Policies a, Buildings b
WHERE	a.PolicyType='POLICY_THIRD_ALTERNATIVE'
		AND b.PrereqDistrict IN ('DISTRICT_ENCAMPMENT', 'DISTRICT_AERODROME', 'DISTRICT_ARSENAL');

INSERT OR IGNORE INTO PolicyModifiers
		(PolicyType,	ModifierId)
SELECT	a.PolicyType,	'THIRDALTERNATIVE_GOLD_' || b.BuildingType || '_JNR'
FROM	Policies a, Buildings b
WHERE	a.PolicyType='POLICY_THIRD_ALTERNATIVE'
		AND b.BuildingType IN ('BUILDING_COAL_POWER_PLANT', 'BUILDING_FOSSIL_FUEL_POWER_PLANT', 'BUILDING_POWER_PLANT', 'BUILDING_JNR_RENEWABLE_DISTRIBUTION');
--------------------------------------------------------------