-- UC_MIL_Requirements
-- Author: JNR
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,								RequirementType)
VALUES	('REQUIRES_CITY_HAS_TARGET_RANGE_JNR',		'REQUIREMENT_CITY_HAS_BUILDING'),
		('REQUIRES_CITY_HAS_CASEMATES_JNR',			'REQUIREMENT_CITY_HAS_BUILDING'),
		('REQUIRES_CITY_HAS_DEPOT_JNR',				'REQUIREMENT_CITY_HAS_BUILDING'),
		('REQUIRES_CITY_HAS_ORDNANCE_BOARD_JNR',	'REQUIREMENT_CITY_HAS_BUILDING'),
		('REQUIRES_CITY_HAS_PRISON_JNR',			'REQUIREMENT_CITY_HAS_BUILDING'),
		('REQUIRES_CITY_HAS_HANGAR_JNR',			'REQUIREMENT_CITY_HAS_BUILDING');
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,								Name,			Value)
VALUES	('REQUIRES_CITY_HAS_TARGET_RANGE_JNR',		'BuildingType',	'BUILDING_JNR_TARGET_RANGE'),
		('REQUIRES_CITY_HAS_CASEMATES_JNR',			'BuildingType',	'BUILDING_JNR_CASEMATES'),
		('REQUIRES_CITY_HAS_DEPOT_JNR',				'BuildingType',	'BUILDING_JNR_DEPOT'),
		('REQUIRES_CITY_HAS_ORDNANCE_BOARD_JNR',	'BuildingType',	'BUILDING_JNR_ORDNANCE_BOARD'),
		('REQUIRES_CITY_HAS_PRISON_JNR',			'BuildingType',	'BUILDING_JNR_PRISON'),
		('REQUIRES_CITY_HAS_HANGAR_JNR',			'BuildingType',	'BUILDING_HANGAR');
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,									RequirementSetType)
VALUES	('BUILDING_IS_ENCAMPMENT_TIER1_JNR',				'REQUIREMENTSET_TEST_ANY'),
		('BUILDING_IS_ENCAMPMENT_TIER2_JNR',				'REQUIREMENTSET_TEST_ANY'),
		('BUILDING_IS_ENCAMPMENT_TIER3_JNR',				'REQUIREMENTSET_TEST_ANY'),
		('BUILDING_IS_TARGET_RANGE_JNR',					'REQUIREMENTSET_TEST_ALL'),
		('BUILDING_IS_HANGAR_JNR',							'REQUIREMENTSET_TEST_ALL'),
		('INTEGRATEDSPACECELL_BUILDING_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ANY');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,									RequirementId)
VALUES	('BUILDING_IS_ENCAMPMENT_TIER1_JNR',				'REQUIRES_CITY_HAS_BARRACKS'),
		('BUILDING_IS_ENCAMPMENT_TIER1_JNR',				'REQUIRES_CITY_HAS_STABLE'),
		('BUILDING_IS_ENCAMPMENT_TIER1_JNR',				'REQUIRES_CITY_HAS_TARGET_RANGE_JNR'),
		('BUILDING_IS_ENCAMPMENT_TIER2_JNR',				'REQUIRES_CITY_HAS_ARMORY'),
		('BUILDING_IS_ENCAMPMENT_TIER2_JNR',				'REQUIRES_CITY_HAS_CASEMATES_JNR'),
		('BUILDING_IS_ENCAMPMENT_TIER2_JNR',				'REQUIRES_CITY_HAS_DEPOT_JNR'),
		('BUILDING_IS_ENCAMPMENT_TIER3_JNR',				'REQUIRES_CITY_HAS_MILITARY_ACADEMY'),
		('BUILDING_IS_ENCAMPMENT_TIER3_JNR',				'REQUIRES_CITY_HAS_ORDNANCE_BOARD_JNR'),
		('BUILDING_IS_ENCAMPMENT_TIER3_JNR',				'REQUIRES_CITY_HAS_PRISON_JNR'),
		('BUILDING_IS_TARGET_RANGE_JNR',					'REQUIRES_CITY_HAS_TARGET_RANGE_JNR'),
		('BUILDING_IS_HANGAR_JNR',							'REQUIRES_CITY_HAS_HANGAR_JNR'),
		('INTEGRATEDSPACECELL_BUILDING_REQUIREMENTS_JNR',	'REQUIRES_CITY_HAS_MILITARY_ACADEMY'),
		('INTEGRATEDSPACECELL_BUILDING_REQUIREMENTS_JNR',	'REQUIRES_CITY_HAS_ORDNANCE_BOARD_JNR'),
		('INTEGRATEDSPACECELL_BUILDING_REQUIREMENTS_JNR',	'REQUIRES_CITY_HAS_PRISON_JNR'),
		('INTEGRATEDSPACECELL_BUILDING_REQUIREMENTS_JNR',	'REQUIRES_CITY_HAS_HANGAR_JNR');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
-- Vanilla CS
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER1_JNR'	WHERE ModifierId='MINOR_CIV_PRESLAV_BARRACKS_STABLE_IDENTITY_BONUS';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER2_JNR'	WHERE ModifierId='MINOR_CIV_PRESLAV_ARMORY_IDENTITY_BONUS';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER3_JNR'	WHERE ModifierId='MINOR_CIV_PRESLAV_MILITARY_ACADEMY_IDENTITY_BONUS';

UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER1_JNR'	WHERE ModifierId='MINOR_CIV_STOCKHOLM_GREAT_GENERAL_POINTS_BONUS';

-- Rise and Fall CS
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER1_JNR'	WHERE ModifierId='MINOR_CIV_CARTHAGE_BARRACKS_STABLE_PURCHASE_BONUS';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER2_JNR'	WHERE ModifierId='MINOR_CIV_CARTHAGE_ARMORY_PURCHASE_BONUS';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER3_JNR'	WHERE ModifierId='MINOR_CIV_CARTHAGE_MILITARY_ACADEMY_PURCHASE_BONUS';

-- Gathering Storm CS
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER1_JNR'	WHERE ModifierId='MINOR_CIV_NGAZARGAMU_BARRACKS_STABLE_PURCHASE_BONUS';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER2_JNR'	WHERE ModifierId='MINOR_CIV_NGAZARGAMU_ARMORY_PURCHASE_BONUS';
UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER3_JNR'	WHERE ModifierId='MINOR_CIV_NGAZARGAMU_MILITARY_ACADEMY_PURCHASE_BONUS';

UPDATE Modifiers SET SubjectRequirementSetId='BUILDING_IS_ENCAMPMENT_TIER1_JNR'	WHERE ModifierId='MINOR_CIV_BOLOGNA_GREAT_GENERAL_POINTS_BONUS';
--------------------------------------------------------------